Subject: Re: warnings in git-wireless

From: James Ketrenos <[email-masked]>
Date: Wed, 06 Jun 2007 07:14:51 -0700

Christoph Hellwig wrote:
> On Tue, Jun 05, 2007 at 01:12:03PM -0700, James Ketrenos wrote:
>> Yes, we certainly don't want a driver to be "near mainline" that does 
>> things that the rest of the kernel and other drivers are doing.  We should 
>> force them to stay out-of-tree until any and everything is resolved.  
>> Heaven forbid that the code should be merged, contributed, and improved 
>> upon as a community.
>>
>> You'd think these guys were trying to enable folks with a driver so they 
>> can use the hardware they bought or something.  Its almost laughable.  What 
>> idiots.
> 
> Maybe you should make sure your companies publishes specs

I'm flattered that you think I am high enough at Intel to do that.  If it was in my power, accurate and complete specifications would be available for all of Intel's hardware--for everyone.  I doubt you'll find a single Linux developer at Intel who is not fighting to try and reach that goal, including myself.

The reality is, however, (and this may shock you) I am not a vice president or head of a major division at Intel.  Its true.  Intel doesn't do what I want just because I snap my fingers and say it should be so.

Instead, we try and do what we can -- enable people with a driver (and a community to contribute into) so that the hardware they purchased can operate to its fullest potential on Linux.  We realize within the community that some areas are difficult for people outside of Intel to initially contribute to given the lack of specs.  However, there are vast quantities of features and functionality that can be enabled and improved given nothing more than the driver sources.

Anyway, its obvious from your emails that our efforts are not sufficient and you seem to resent that we're even trying.  I apologize.

If you'd like to submit patches to help us make the perfect driver, we're very willing to review and merge those in.

James